# ChangeLog for sys-cluster/lam-mpi
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-cluster/lam-mpi/ChangeLog,v 1.55 2007/02/22 00:52:36 jokey Exp $

  22 Feb 2007; Markus Ullmann <jokey@gentoo.org> ChangeLog:
  Redigest for Manifest2

  10 Feb 2007; Steve Dibb <beandog@gentoo.org> lam-mpi-7.1.2.ebuild:
  amd64 stable, bug 157799

  28 Dec 2006; Gustavo Zacarias <gustavoz@gentoo.org> lam-mpi-7.1.2.ebuild:
  Stable on sparc wrt #157799

  06 Dec 2006; Donnie Berkholz <dberkholz@gentoo.org>; lam-mpi-7.1.2.ebuild:
  Stop PROVIDEing mpi virtual, we're on a new-style virtual now.

  06 Dec 2006; Donnie Berkholz <dberkholz@gentoo.org>; lam-mpi-7.0.4.ebuild,
  lam-mpi-7.0.6.ebuild, lam-mpi-7.1.2.ebuild:
  Block all MPI providers.

  06 Dec 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/lam-mpi-7.1.1-shared-romio.patch, -lam-mpi-7.0.4-r1.ebuild,
  -lam-mpi-7.1.ebuild, -lam-mpi-7.1.1-r3.ebuild:
  Clean up.

  03 Dec 2006; Markus Rothe <corsair@gentoo.org> lam-mpi-7.1.2.ebuild:
  Stable on ppc64

  26 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>; lam-mpi-7.1.2.ebuild:
  Stable on x86.

  26 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/7.1.2-liblam-use-extra-libs.patch, lam-mpi-7.1.2.ebuild:
  Fix for -Wl,--as-needed.

  25 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  lam-mpi-7.1.1-r3.ebuild, lam-mpi-7.1.2.ebuild:
  Look in /usr/$(get_libdir)/pbs/lib instead of /usr/lib/pbs.

  25 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>; lam-mpi-7.1.2.ebuild:
  (#119480) Add USE=xmpi to build support for the external XMPI GUI utility.

  31 Jul 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/7.1.2-lam_prog_f77.m4.patch:
  (#141152) Add missing patch.

*lam-mpi-7.1.2 (20 Jul 2006)

  20 Jul 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +lam-mpi-7.1.2.ebuild:
  (#140725) Bump (Eric Thibodeau). (#135168) Add gcc-4 fix. (#136071) rsh
  should boot now.

  03 Oct 2005; Christian Zoffoli <xmerlin@gentoo.org> lam-mpi-7.1.1-r3.ebuild:
  fixed bug #106443.

*lam-mpi-7.1.1-r3 (15 Aug 2005)

  15 Aug 2005; Danny van Dyk <kugelfang@gentoo.org>
  files/lam-mpi-7.1.1-shared-romio.patch, -lam-mpi-7.1.1.ebuild,
  -lam-mpi-7.1.1-r1.ebuild, -lam-mpi-7.1.1-r2.ebuild,
  +lam-mpi-7.1.1-r3.ebuild:
  Fixed BUG #88110 (finally). Removed obsolete versions of 7.1.1.

  03 Aug 2005; Ferris McCormick <fmccor@gentoo.org> lam-mpi-7.1.1-r2.ebuild:
  Add ~sparc keyword.  Builds without incident (with ssh interface)
  and seems to be fine.

  12 Jul 2005; Robin H. Johnson <robbat2@gentoo.org>
  lam-mpi-7.1.1-r2.ebuild:
  Move where fortran_pkg_setup runs, as it is not needed for merging a binary
  package in pkg_setup.

  07 Jul 2005; Markus Rothe <corsair@gentoo.org> lam-mpi-7.1.1-r2.ebuild:
  added ~ppc64

  06 Jul 2005; Robin H. Johnson <robbat2@gentoo.org>
  lam-mpi-7.1.1-r2.ebuild:
  Update ebuild to actually use functionality from fortran.eclass.

*lam-mpi-7.1.1-r2 (05 Jul 2005)

  05 Jul 2005; Robin H. Johnson <robbat2@gentoo.org>
  +lam-mpi-7.1.1-r2.ebuild:
  Implement virtual/mpi. Bug #96537: examples. Bug #96543: documentation
  location. Bug #97417: Fix fortran support.

*lam-mpi-7.1.1-r1 (06 Jul 2005)

  06 Jul 2005; Danny van Dyk <kugelfang@gentoo.org> lam-mpi-7.1.1-r1.ebuild:
  Bumped to circumvent my broken romio patch. Sorry :-/

  24 May 2005; Donnie Berkholz <spyderous@gentoo.org>;
  files/lam-mpi-7.1.1-shared-romio.patch:
  (#92832) Fix misformatted patch.

  18 May 2005; Markus Rothe <corsair@gentoo.org> lam-mpi-7.1.1.ebuild:
  Stable on ppc64

  15 May 2005; Danny van Dyk <kugelfang@gentoo.org> lam-mpi-7.1.1.ebuild:
  Marked stable on amd64.

  15 May 2005; Danny van Dyk <kugelfang@gentoo.org>
  +files/lam-mpi-7.1.1-shared-romio.patch, lam-mpi-7.1.1.ebuild:
  Fixed BUG #88110. liblammpio will now be built as static and shared library.

  06 May 2005; David Holm <dholm@gentoo.org> lam-mpi-7.1.1.ebuild:
  Readded to ~ppc. Please don't remove it without filing a proper bug report.

  09 Apr 2005; Markus Rothe <corsair@gentoo.org> lam-mpi-7.1.1.ebuild:
  Added ~ppc64 to KEYWORDS

*lam-mpi-7.1.1 (21 Feb 2005)

  21 Feb 2005; Donnie Berkholz <spyderous@gentoo.org>;
  +lam-mpi-7.1.1.ebuild:
  Version bump. (#66291) Build Fortran stuff. (#62561) Check for Fortran
  compiler.

  07 Feb 2005; Jeremy Huddleston <eradicator@gentoo.org> lam-mpi-7.1.ebuild:
  Adding ~amd64 as it was mistakenly removed.

  05 Oct 2004; Ferris McCormick <fmccor@gentoo.org> lam-mpi-7.1.ebuild:
  Add ~sparc keyword. (Runs lamtests-7.1.1 (configured 2x3), pyMPI (2x2),
  hardened, with USE='crypt' (=ssh).)

  04 Oct 2004; Ferris McCormick <fmccor@gentoo.org> lam-mpi-7.0.6.ebuild:
  Stable for sparc.

  23 Sep 2004; Donnie Berkholz <spyderous@gentoo.org>; lam-mpi-7.0.6.ebuild:
  x86.

*lam-mpi-7.1 (23 Sep 2004)

  23 Sep 2004; Donnie Berkholz <spyderous@gentoo.org>; +lam-mpi-7.1.ebuild:
  Bump. See HISTORY in source tarball for changes.

  19 Sep 2004; Michael Imhof <tantive@gentoo.org> lam-mpi-7.0.4-r1.ebuild:
  Added local use flag for f77.

  19 Sep 2004; Michael Imhof <tantive@gentoo.org> -lam-mpi-6.5.6-r1.ebuild,
  -lam-mpi-6.5.9-r1.ebuild, -lam-mpi-7.0.2.ebuild, -lam-mpi-7.0.3.ebuild:
  Cleaned out old ebuilds.

  02 Sep 2004; Ferris McCormick <fmccor@gentoo.org> lam-mpi-7.0.6.ebuild:
  Add ~sparc keyword. Builds for sparc and runs lamtests-7.0.6 in a cluster
  of 2 smp systems (2xSMP(2)), with USE=crypt (ssh).

*lam-mpi-7.0.4-r1 (13 Jul 2004)

  13 Jul 2004; Michael Imhof <tantive@gentoo.org> +lam-mpi-7.0.4-r1.ebuild:
  Fixed the ebuild. Added more config options. Closes #55046.

*lam-mpi-7.0.6 (13 Jul 2004)

  13 Jul 2004; Michael Imhof <tantive@gentoo.org> +lam-mpi-7.0.6.ebuild:
  Version bumped. Closes #55047.

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  lam-mpi-6.5.6-r1.ebuild, lam-mpi-6.5.9-r1.ebuild, lam-mpi-7.0.2.ebuild,
  lam-mpi-7.0.3.ebuild, lam-mpi-7.0.4.ebuild:
  virtual/glibc -> virtual/libc

  15 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org>
  lam-mpi-6.5.6-r1.ebuild, lam-mpi-6.5.9-r1.ebuild, lam-mpi-7.0.2.ebuild,
  lam-mpi-7.0.3.ebuild, lam-mpi-7.0.4.ebuild:
  PROVIDE is for virtuals

  24 Apr 2004; Tom Gall <tgall@gentoo.org> lam-mpi-7.0.4.ebuild:
  Marked stable for ppc64

  16 Apr 2004; Ferris McCormick <fmccor@gentoo.org> lam-mpi-7.0.4.ebuild:
  Mark stable for sparc

  02 Apr 2004; Donnie Berkholz <spyderous@gentoo.org>; lam-mpi-7.0.4.ebuild:
  Move mpich from DEPEND to RDEPEND.

  24 Mar 2004; Michael Sterrett <mr_bones_@gentoo.org>
  lam-mpi-6.5.9-r1.ebuild:
  don't use deprecated ? : use syntax

  04 Mar 2004; Patrick Kursawe <phosphan@gentoo.org> lam-mpi-7.0.4.ebuild:
  Added ~ppc and ~sparc since older versions were ok, bumped others to stable

*lam-mpi-7.0.4 (04 Mar 2004)

  04 Mar 2004; Michael Imhof <tantive@gentoo.org> lam-mpi-7.0.4.ebuild:
  Version bumped.

  17 Feb 2004; Aron Griffis <agriffis@gentoo.org> lam-mpi-7.0.3.ebuild:
  add ~alpha

*lam-mpi-6.5.6-r1 (07 Jan 2004)

  07 Jan 2004; Jason Wever <weeve@gentoo.org> lam-mpi-6.5.6-r1.ebuild:
  Added 6.5.6-r1 back into the repository as it was the last stable version for
  sparc and broke dependencies by being removed.

*lam-mpi-7.0.3 (07 Jan 2004)

  07 Jan 2004; Olivier Crete <tester@gentoo.org> lam-mpi-7.0.3.ebuild:
  Version bump as reported by JFMuggs on irc

  14 Nov 2003; Brad House <brad_mssw@gentoo.org> lam-mpi-7.0.2.ebuild:
  add ~amd64 flag

*lam-mpi-7.0.2 (02 Nov 2003)

  02 Nov 2003; Donnie Berkholz <spyderous@gentoo.org>; lam-mpi-7.0.2.ebuild,
  metadata.xml:
  Bump to close bug #31288. Added metadata.xml for cluster herd.

  07 Jul 2003; George Shapovalov <george@gentoo.org> :
  moved from dev-libs into sys-cluster

*lam-mpi-6.5.9-r1 (03 Jun 2003)

  03 Jun 2003; Michael Imhof <imhofml@gentoo.org> lam-mpi-6.5.9-r1.ebuild, files/digest-lam-mpi-6.5.9-r1 :
  corrected ebuild submitted by Marc St-Pierre <marc@cyberlogic.ca>

*lam-mpi-6.5.7.ebuild (23 Mar 2003)

  23 Mar 2003; George Shapovalov <george@gentoo.org> lam-mpi-6.5.9.ebuild, files/digest-lam-mpi-6.5.9 :
  new version

  20 Jan 2003; Jon Nall <nall@gentoo.org> lam-mpi-6.5.7.ebuild :
  added ~ppc
  
  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*lam-mpi-6.5.7.ebuild (08 Nov 2002)

  08 Nov 2002; George Shapovalov <george@gentoo.org> lam-mpi-6.5.7.ebuild, files/digest-lam-mpi-6.5.7 :
  new version

*lam-mpi-6.5.6-r1.ebuild (21 Oct 2002)

  21 Oct 2002; George Shapovalov <george@gentoo.org> lam-mpi-6.5.6-r1.ebuild, files/digest-lam-mpi-6.5.6-r1 :
  upped the revision number, because Chad persuaded me, that the previous fix (by 18 Oct) was 
  important enugh to forse a rebuild.

*lam-mpi-6.5.6.ebuild (29 Jul 2002)

  18 Oct 2002; George Shapovalov <george@gentoo.org> lam-mpi-6.5.6.ebuild :
  fix to make mpi++.h a local symlink (seems to happen with newver binutils?),
  see #9236 for detail.
  Thanks Chad Schmutzer for report.

  29 Jul 2002; George Shapovalov <george@gentoo.org> lam-mpi-6.5.6.ebuild :

  Initial release (and rework of submitted ebuild)

  form the web site:
  LAM (Local Area Multicomputer) is an MPI programming environment and development 
  system for heterogeneous computers on a network. With LAM, a dedicated cluster 
  or an existing network computing infrastructure can act as one parallel 
  computer solving one problem. 
  LAM features extensive debugging support in the application development cycle 
  and peak performance for production applications. LAM features a full 
  implementation of the MPI communication standard. 

  ebuild submitted by Tibor Rudas <tibi@mdy.univie.ac.at>
